module Ghostscript_jll
using Libdl
is_available() = true
find_artifact_dir() = "/usr"
artifact_dir = "/usr"
const PATH_list = String[]
const LIBPATH_list = String[]
const PATH = Ref("")
const LIBPATH = Ref("")
const LIBPATH_env = "LD_LIBRARY_PATH"
export libgs
const libgs_path = "/usr/lib/libgs.so.10"
libgs_handle = C_NULL
get_libgs_path() = libgs_path
const libgs = "libgs.so.10"
export gs
const gs_path = "/usr/bin/gs"
gs(f::Function; kw...) = f(gs_path)
gs(; kw...) = Cmd([gs_path])
export gsc
const gsc_path = "/usr/bin/gs"
gsc(f::Function; kw...) = f(gsc_path)
gsc(; kw...) = Cmd([gsc_path])
export gsx
const gsx_path = "/usr/bin/gsx"
gsx(f::Function; kw...) = f(gsx_path)
gsx(; kw...) = Cmd([gsx_path])
export dvipdf
const dvipdf_path = "/usr/bin/dvipdf"
const dvipdf = dvipdf_path
get_dvipdf_path() = dvipdf_path
export eps2eps
const eps2eps_path = "/usr/bin/eps2eps"
const eps2eps = eps2eps_path
get_eps2eps_path() = eps2eps_path
export gsbj
const gsbj_path = "/usr/bin/gsbj"
const gsbj = gsbj_path
get_gsbj_path() = gsbj_path
export gsdj
const gsdj_path = "/usr/bin/gsdj"
const gsdj = gsdj_path
get_gsdj_path() = gsdj_path
export gsdj500
const gsdj500_path = "/usr/bin/gsdj500"
const gsdj500 = gsdj500_path
get_gsdj500_path() = gsdj500_path
export gserrors_h
const gserrors_h_path = "/usr/include/ghostscript/gserrors.h"
const gserrors_h = gserrors_h_path
get_gserrors_h_path() = gserrors_h_path
export gslj
const gslj_path = "/usr/bin/gslj"
const gslj = gslj_path
get_gslj_path() = gslj_path
export gslp
const gslp_path = "/usr/bin/gslp"
const gslp = gslp_path
get_gslp_path() = gslp_path
export gsnd
const gsnd_path = "/usr/bin/gsnd"
const gsnd = gsnd_path
get_gsnd_path() = gsnd_path
export iapi_h
const iapi_h_path = "/usr/include/ghostscript/iapi.h"
const iapi_h = iapi_h_path
get_iapi_h_path() = iapi_h_path
export ierrors_h
const ierrors_h_path = "/usr/include/ghostscript/ierrors.h"
const ierrors_h = ierrors_h_path
get_ierrors_h_path() = ierrors_h_path
export pdf2dsc
const pdf2dsc_path = "/usr/bin/pdf2dsc"
const pdf2dsc = pdf2dsc_path
get_pdf2dsc_path() = pdf2dsc_path
export pdf2ps
const pdf2ps_path = "/usr/bin/pdf2ps"
const pdf2ps = pdf2ps_path
get_pdf2ps_path() = pdf2ps_path
export pf2afm
const pf2afm_path = "/usr/bin/pf2afm"
const pf2afm = pf2afm_path
get_pf2afm_path() = pf2afm_path
export pfbtopfa
const pfbtopfa_path = "/usr/bin/pfbtopfa"
const pfbtopfa = pfbtopfa_path
get_pfbtopfa_path() = pfbtopfa_path
export pphs
const pphs_path = "/usr/bin/pphs"
const pphs = pphs_path
get_pphs_path() = pphs_path
export printafm
const printafm_path = "/usr/bin/printafm"
const printafm = printafm_path
get_printafm_path() = printafm_path
export ps2ascii
const ps2ascii_path = "/usr/bin/ps2ascii"
const ps2ascii = ps2ascii_path
get_ps2ascii_path() = ps2ascii_path
export ps2epsi
const ps2epsi_path = "/usr/bin/ps2epsi"
const ps2epsi = ps2epsi_path
get_ps2epsi_path() = ps2epsi_path
export ps2pdf
const ps2pdf_path = "/usr/bin/ps2pdf"
const ps2pdf = ps2pdf_path
get_ps2pdf_path() = ps2pdf_path
export ps2pdf12
const ps2pdf12_path = "/usr/bin/ps2pdf12"
const ps2pdf12 = ps2pdf12_path
get_ps2pdf12_path() = ps2pdf12_path
export ps2pdf13
const ps2pdf13_path = "/usr/bin/ps2pdf13"
const ps2pdf13 = ps2pdf13_path
get_ps2pdf13_path() = ps2pdf13_path
export ps2pdf14
const ps2pdf14_path = "/usr/bin/ps2pdf14"
const ps2pdf14 = ps2pdf14_path
get_ps2pdf14_path() = ps2pdf14_path
export ps2pdfwr
const ps2pdfwr_path = "/usr/bin/ps2pdfwr"
const ps2pdfwr = ps2pdfwr_path
get_ps2pdfwr_path() = ps2pdfwr_path
export ps2ps
const ps2ps_path = "/usr/bin/ps2ps"
const ps2ps = ps2ps_path
get_ps2ps_path() = ps2ps_path
export ps2ps2
const ps2ps2_path = "/usr/bin/ps2ps2"
const ps2ps2 = ps2ps2_path
get_ps2ps2_path() = ps2ps2_path
function __init__()
    global libgs_handle = dlopen(libgs_path)
end
end
